Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.flow.constructorCallObject
Class AbstractAspect

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.flow.constructorCallObject.AbstractAspect

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  Annotation, FullInstrumentation

    public abstract class AbstractAspect

extends AbstractAspectJProbe

Since:
  1.10
Author:
  Jan Waller

Constructor Summary
`AbstractAspect()`

Method Summary
`Object` | `member2constructor(Object thisObject, Object targetObject, org.aspectj.lang.ProceedingJoinPoint thisJoinPoint, org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)` This is an advice used around calls from members to constructors.
`abstract void` | `monitoredConstructor()` The pointcut for the monitored constructors.
`Object` | `static2constructor(Object targetObject, org.aspectj.lang.ProceedingJoinPoint thisJoinPoint, org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)` This is an advice used around calls from static elements to constructors.

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAspect

    public AbstractAspect()

Method Detail

### monitoredConstructor

    public abstract void monitoredConstructor()

  The pointcut for the monitored constructors. Inheriting classes should extend the pointcut in order to find the correct calls (e.g. all constructors or only constructors with specific annotations).

### member2constructor

    public Object member2constructor(Object thisObject,
                                     Object targetObject,
                                     org.aspectj.lang.ProceedingJoinPoint thisJoinPoint,
                                     org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)
                              throws Throwable

  This is an advice used around calls from members to constructors.

  Parameters:
    `thisObject` - The caller object.
    `thisJoinPoint` - The joint point of the callee.
    `thisEnclosingJoinPoint` - The joint point of the caller.
  Returns:
    The result of `proceed method` of the given joint point.
  Throws:
    `Throwable`

### static2constructor

    public Object static2constructor(Object targetObject,
                                     org.aspectj.lang.ProceedingJoinPoint thisJoinPoint,
                                     org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)
                              throws Throwable

  This is an advice used around calls from static elements to constructors.

  Parameters:
    `thisJoinPoint` - The joint point of the callee.
    `thisEnclosingJoinPoint` - The joint point of the caller.
  Returns:
    The result of `proceed method` of the given joint point.
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net